NAME
  PyDCP
  
SYNOPSIS
  pydcp <hosts> --scp_mode <options>
  pydcp -h | --help
  
DESCRIPTION
   The pydcp command is used for copying files to/from multiple hosts using SCP
   in parallel.

OPTIONS
  --timeout=<SEC>       Set timeout in seconds.
  
  -v, --verbose         Set the program verbosity.  Can be specified up to 5 
                        times to display more information.
                                    
  --version             Display the programs version and exit.
  
HOST OPTIONS
  -a, --all             Add all hosts defined in the default host file.
  
  --hostfile=<FILE>     Add all hosts define in file <FILE>.
                   
  -i, --ignorefailed    Continue even if some hosts fail connectivity tests.
  
  -n <NODE>, --node=<NODE>  Adds <NODE> to the hostlist.  Nodes may be 
                        specified as hostnames, or ip addresses (either 
                        individually or as a range).
                        Examples:
                          -n localhost
                          -n server1-3
                          -n 10.1.1.3
                          -n 172.25.0.14-99

                        Examples with alternative port declarations:
                          -n localhost:4022
                          -n server1-3:4022
                          -n 172.25.0.14-99:21

                          NOTE: For IP addresses ONLY the last segment is used 
                                for determining the range.

SCP OPTIONS
  --scp_mode=<MODE>     SCP Mode: Send or Get

  --scp_local=<TARGET>  Local file or directory to send (MODE: send) or to store
                        recieved files in (MODE: get).

  --scp_remote=<TARGET> Remote file or directory to get (MODE: get) or to store
                        recieved files in (MODE: send).

  -r, --recursive       Recursively copy directories.

USER OPTIONS
  --user=<USER>         User to connect as (default as current user).
    
EXAMPLES REMOTE COMMANDS
  Copy one file to home directory on all remote hosts:

    pydcp -a --scp_mode=send --scp_local=./filename 

  Copy one file to the /tmp/cache directory on all remote hosts:

    pydcp -a --scp_mode=send --scp_local=./filename --scp_remote=/tmp/cache/

AUTHORS
  Dave Vehrs
